#
# spec file for package perl-Module-Load (Version 0.27)
#
# packages are under the same license as the package itself.
#
# Please submit bugfixes or comments to dirk.hartmann@sitter-net.de


# norootforbuild

Name:         perl-Module-Load
Version:      0.10
Release:      2
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic License
Summary:      Perl module for easier loading files and modules
Source:       Module-Load-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
load eliminates the need to know whether you are trying
to require either a file or a module



Authors:
--------
    Jos Boumans <kane@cpan.org>

%debug_package
%prep
%setup -n Module-Load-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %perl_vendorlib/Module
%perl_vendorlib/Module/Load.pm
%dir %perl_vendorarch/auto/Module
%perl_vendorarch/auto/Module/Load
%doc %_mandir/man3/*.gz
/var/adm/perl-modules/perl-Module-Load
%doc MANIFEST README

%changelog -n perl-Module-Load
* Mon Dec 24 2007 - monex@liquid-co.de
- change default owner to root
* Fri Sep 21 2007 - monex@liquid-co.de
- initial build
